webentwicklung-frage-antwort-db.com.de

Wie kommt man über das Problem "snap kde-frameworks-5" hinaus, um Okular auszuführen?

Unter Ubuntu 16.04 habe ich die Software-Anwendung verwendet, um Okular zu installieren. Es erschien nicht im Bindestrich. Also ging ich zu einem Terminal, um es zu starten. Ich habe folgende Nachricht erhalten:

You need to connect this snap to the kde-frameworks-5 snap.

You can do this with those commands:
snap install kde-frameworks-5
snap connect okular:kde-frameworks-5-plug kde-frameworks-5:kde-frameworks-5-slot

Ich habe den Befehl "snap install kde-frameworks-5" ausgeführt und es hat anscheinend funktioniert. Wenn ich es erneut starte (weil Okular mir weiterhin sagt, dass ich es tun soll), erhalte ich:

snap "kde-frameworks-5" is already installed, see "snap refresh
--help"

Wenn Sie den Befehl "snap connect ..." ausführen, wird keine ähnliche Meldung angezeigt. Es scheint, als würde die Ausgabe leicht umgeschaltet. Einmal:

[/] Connect okular:kde-frameworks-5-plug to kde-frameworks-5:kde-frameworks-5-sl
[-] Connect okular:kde-frameworks-5-plug to kde-frameworks-5:kde-frameworks-5-sl
[\] Connect okular:kde-frameworks-5-plug to kde-frameworks-5:kde-frameworks-5-sl
[|] Connect okular:kde-frameworks-5-plug to kde-frameworks-5:kde-frameworks-5-sl

ein weiterer:

[/] Connect okular:kde-frameworks-5-plug to kde-frameworks-5:kde-frameworks-5-sl
[-] Connect okular:kde-frameworks-5-plug to kde-frameworks-5:kde-frameworks-5-sl
[\] Connect okular:kde-frameworks-5-plug to kde-frameworks-5:kde-frameworks-5-sl

Beim Versuch, Okular zu starten, erhalte ich jedoch weiterhin die ursprüngliche Nachricht, die ich herunterladen und verbinden muss.

2
Scooter

Sie sollten beide Befehle mit root-Benutzer oder Sudo ausführen.

Sudo snap install kde-frameworks-5
Sudo snap connect okular:kde-frameworks-5-plug kde-frameworks-5:kde-frameworks-5-slot

Ich habe das gleiche Problem wie beim Ausführen von okular, bei dem ich darum gebeten wurde. Ich habe snap interfaces | grep okular Überprüft und es scheint gut zu sein:

:home                                   okular
:network                                okular
:network-bind                           core,okular
:opengl                                 okular
:pulseaudio                             okular
:unity7                                 okular
:x11                                    okular
kde-frameworks-5:kde-frameworks-5-slot  okular:kde-frameworks-5-plug
okular:session-dbus-interface

Also habe ich okular neu installiert und kde-frameworks-5 Installiert. Jetzt funktioniert es gut:

Sudo snap remove okular
Sudo snap install okular

Es scheint mir ein Fehler zu sein, wenn Sie interessiert sind, melden Sie ihn bitte gegen das snapd -Paket.

1
user.dz